Hy All ! I work with Auto-lisp for some while but I'm still new at Visual Lisp. I'm trying to convert the Z coordinate to 0 on a 3D Polyline. I believe that the command is "vla-AppendVertex". This is my code... (Setq Line (car(entsel))) "Pick line" (Setq VL-Line (vlax-ename->vla-object Line)) "Convert to VL Mode" (Setq VL-Info (vlax-dump-Object VL-Line)) "List properties of the Line" (Setq VL-XY (vla-get-Coordinates VL-Line)) "Get the Variant with the coordinates" (Setq VL-Value (vlax-variant-value VL-XY)) "Put it on a Safearray" (Setq VL-XYMod (vla-AppendVertex VL-Array)) "Errr... something goes wrong here..." I think that the error is on the last line, I'm missing something there. If someone else have a better way (I bet there is) to work this out I would thank that help ! Vxc